* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-size: 14px;
    font-family: 微软雅黑, Helvetica, Arial, Verdana, sans-serif;
    font-style: normal;
    font-weight: normal;
}
body{
    cursor: url(../img/shubiao.ico),auto;
}

#Snow {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -999;
    background: rgba(180, 194, 144, 0.1);
    pointer-events: none;
}

/*包含以下四种的链接*/
a {
    text-decoration: none;
}

/*正常的未被访问过的链接*/
a:link {
    text-decoration: none;
}

/*已经访问过的链接*/
a:visited {
    text-decoration: none;
}

/*鼠标划过(停留)的链接*/
a:hover {
    text-decoration: none;
}

/* 正在点击的链接*/
a:active {
    text-decoration: none;
}


body {
    background: #e5e5e5 none no-repeat fixed center top;
    background-size: cover;
    /*display: flex;*/
    /*justify-content: center;*/
}

.main {
    margin: 20px auto;
    background: #FFFFff;
    width: 1180px;
    /*height: 2000px;*/
    border-radius: 4px;
}

.top {
    padding: 10px 40px 0px 40px;
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid #dbdee1;
}

.logo {
    width: 162px;
    height: 100px;
}

.menu {
    height: 115px;
    line-height: 115px;

}

.menu .title {
    color: #333333;
    font-weight: 600;
    width: 42px;
    padding: 0 24px;
}

.menu .active {
    color: #da3a21;
}

.body-main {
    padding: 20px 40px;
    display: flex;
}

.menu-title {
    color: #da3a21;
    font-weight: 400;
    font-size: 16px;
}

.main-left {
    width: 840px;
    padding-right: 10px;
}

.list {
    padding-top: 10px;
}

.item {
    padding-top: 20px;

}

.title-post {
    color: #373A41;
    font-size: 24px;
    line-height: 24px;
    cursor: pointer;
}

.title-post:hover {
    color: #da3a21;
}

.item-tag {
    padding-right: 24px;
    color: #494e56;
    font-weight: 400;
}

.create_time {
    color: #999999;
    font-size: 12px;
    line-height: 12px;
    padding-top: 16px;
}

.desc {
    color: #494e56;
    font-size: 12px;
    padding-top: 12px;
    line-height: 24px;

    white-space: normal;
    word-break: break-all;
    word-wrap: break-word;
}

.read-div {
    display: flex;
    justify-content: flex-end;
    padding-top: 12px;
    padding-bottom: 18px;
}

.read {
    background-color: #ffffff;
    border: solid 1px #666666;
    padding: 2px 4px;
    border-radius: 2px;
    font-size: 12px;
    color: #666666;
}

.page {
    display: flex;
    justify-content: flex-end;
    padding-top: 40px;
}

.page a {
    margin-left: 30px;
}

.page-desc {
    margin-top: 12px;
}

.page-button {
    background-color: #ffffff;
    border: solid 1px #666666;
    padding: 2px 4px;
    border-radius: 2px;
    font-size: 12px;
    cursor: pointer;
    margin: 10px 0px 0px 0px;
    color: #666666;
}

.page-button:hover {
    border: solid 1px #da3a21;
    color: #da3a21;

}

.main-right {
    width: 260px;
    margin-left: 20px;
    margin-top: 10px;
}


.new-post {
    background-color: #f5f5f5;
    background-repeat: repeat;
    clear: both;
    width: 100%;
    border-radius: 4px;
    margin: 24px 0;
}


.h2 {
    padding: 0 0 0 10px;
    height: 40px;
    line-height: 40px;
    background-color: #f5f5f5;
    margin: 0px;
    font-size: 20px;
    font-weight: bold;
    font-style: italic;
    text-decoration: none;
    color: #121212;
    border-top: 0;
    border-left: 0;
    border-right: 0;
    border-bottom: 0;
    background-image: none;
    -webkit-border-top-left-radius: 0;
    -webkit-border-top-right-radius: 0;
    -moz-border-radius-topleft: 0;
    -moz-border-radius-topright: 0;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.right-list {
    padding: 8px 10px;

}

.new-post-item {
    display: flex;
    justify-content: space-between;
    cursor: pointer;

}

.new-title {
    width: 150px;
    color: #373A41;
    font-size: 12px;
    line-height: 24px;
    font-weight: 500;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.new-title:hover {
    color: #da3a21;
}

.new-date {
    color: #686868;
    font-size: 12px;
    line-height: 24px;
}

.my {
    color: #696969;
    padding: 10px 10px;
    font-size: 16px;
}

.footer {
    background: #474747 none repeat center top;
    border-top: 1px solid #474747;
    /*height: 149px;*/

    border-radius: 0px 0px 4px 4px;

    /*display: flex;*/
    justify-content: center;
    align-items: center;
}

.link {
    padding: 30px 30px 0 30px;

}

.link-title {
    color: #FFFFff;
    font-size: 20px;
}

.link-a {
    padding: 8px;
    display: flex;
    flex-wrap: wrap;
}

.link-a a {
    color: #FFFFff;
    margin: 0 8px;
    line-height: 24px;
}

.copyright {
    padding-bottom: 18px;
}

.footer-main {
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    color: #ffffff;


}

.blog-name {
    font-size: 20px;
    line-height: 60px;
}


/*关于我*/

.about {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding-top: 20px;
}

.pic {
    display: flex;
    justify-content: center;
    width: 100%;

}

.about-title {
    text-align: center;
    font-size: 30px;
    padding-top: 24px;

}

.about-desc {
    display: flex;
    justify-content: center;

}

.my-desc {
    width: 50%;
    color: #A9A9A9;
    font-size: 13px;
    line-height: 30px;

    padding: 20px 0 50px 0;

}


/*内容页面*/

.post-title {
    font-size: 28px;
    font-weight: normal;
    font-style: normal;
    color: #000;
    padding-top: 12px;
}

.post-title:hover {
    color: #da3a21;
}

.post-desc {
    font-size: 12px;
    padding-top: 24px;
}

.post-html {
    padding-top: 24px;
    min-height: 500px;
    line-height: 24px;

    white-space: normal;
    word-break: break-all;
    word-wrap: break-word;
}

.post-html p{
   padding-bottom: 10px;
}

.post-next-pre {
    display: flex;
    justify-content: space-between;
    padding: 24px 0px 48px 0px;

}

.post-pre {
    font-size: 16px;
    font-weight: normal;
    font-style: normal;
    color: #636363;
    max-width: 300px;
    cursor: pointer;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.post-pre:hover {
    color: #da3a21;
}

.post-next {
    font-size: 16px;
    font-weight: normal;
    font-style: normal;
    color: #636363;
    max-width: 300px;
    cursor: pointer;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.post-next:hover {
    color: #da3a21;
}


/* code代码*/

.prism {

}

pre {
    /*background: #4a4a4a;*/
    padding: 10px;
    color: #f3f3f3;
    border-radius: 4px;

    white-space: pre;
    /*white-space: normal;*/
    word-break: break-all;
    word-wrap: break-word;


    background-color: #f5f5f5;
    font-family: Courier New !important;
    font-size: 12px !important;
    border: 1px solid #ccc;
    /*padding: 5px;*/
    overflow: auto;
    margin: 5px 0;
    color: #000;
}

.post-html img {
    max-width: 100%;
}

.language-java {


}

.count {
    font-size: 30px;
    font-weight: 500;
    /*color: #da3a21;*/
}

.bg-img {
    position: fixed;
    left: 0;
    top: 0;
    z-index: -999;
    width: 100%;
    height: 100%;
}

.qrcode {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    z-index: 99;
    top: 0%;
    left: 0%;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.800);
}

.qrcode .desc {
    position: absolute;
    padding-bottom: 330px;
    color: #da3a21;
    font-size: 18px;
}

.heading h4  {
    margin: 0;
    color: rgba(0, 0, 0, .8);
    font-size: 1.1rem;
    line-height: 1.2;
    letter-spacing: .08em;
    font-weight: 600;
    text-transform: uppercase;
    padding-right: 5px;
    display: inline-block;
}



.post-inner {
    margin-top: 15px;
    padding: 24px 0 0;
    background-color: #fff;
    border: 1px solid rgba(150, 150, 150, .2);
    margin-bottom: 10px;
}

.post-comments-area {
    width: 100%;
}
textarea {
    line-height: 1.8;
    padding: 0 20px 0 20px;
    background-color: transparent;
    height: 55px;
    width: 100%;
    border: none;
    resize: none;
    cursor: pointer;
    outline:none;
}
.submit:focus{
    outline-offset: -1px;
}
.submit {
    padding: 7px 25px;
    background-color: #000;
    color: #fff;
    height: 32px;
    border-radius: 4px;
    line-height: 16px;
    cursor: pointer;
    border: 0px;
    margin-right: 16px;
    margin-top: 10px;
}
.post-comments-meta{
    height: 50px;
    display: flex;
    justify-content: flex-end;
}


.list-block-gw h4{
    margin: 0;
    color: rgba(0, 0, 0, .8);
    font-size: 1.1rem;
    line-height: 1.2;
    letter-spacing: .08em;
    font-weight: 600;
    text-transform: uppercase;
    display: inline-block;
    padding: 20px 5px 30px 0px;
}

.list-block-gw h3{
    margin: 0;
    color: rgba(0, 0, 0, .8);
    font-size: 1.1rem;
    line-height: 1.2;
    letter-spacing: .08em;
    font-weight: 600;
    text-transform: uppercase;
    display: inline-block;
    padding: 20px 5px 30px 0px;
}

.block-gw{
    width: 100%;
    border-bottom: 1px dashed #e5e5e5;
    margin-bottom: 16px;
}


.block-context{
    line-height: 22px;
    font-size: 14px;
    color: #333;
}

.block-date{
    display: flex;
    justify-content: flex-end;
    padding: 8px 0px 8px 8px;
    color: silver;
}
.ip-address{
    font-size: 12px;
    padding-right: 8px;
}

.block-question{
    line-height: 40px;
    font-size: 14px;
    color: #333;
    font-weight: 600;
}
.block-answer{
    line-height: 22px;
    font-size: 12px;
    color: #333;
}